Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#909 SVN repo error crashes whole desktop, Ubuntu 12.04

None
fixed
nobody
1
2014-04-05
2014-02-24
Anonymous
No

TeXstudio does not properly handle internal SVN errors. It freezes, and freezes the entire (unity) desktop, requiring a reboot to clear up the problem. We've had this happen a half a dozen times since starting our latest project.

These are not critical errors in the repo, either. They're simply problems in the working directory that SVN easily clears up itself by running the "cleanup". These kinds of errors need to be handled much more gracefully.

Related

Bugs: #909

Discussion

1 2 3 > >> (Page 1 of 3)
  • Tim Hoffmann
    Tim Hoffmann
    2014-02-24

    Could you please give a description how to reproduce such an error?

     
  • Sometimes the crash handler that is supposed to catch crashes crashed the desktop, but these crashes are fixed in the latest rev.

    If it had happened, there should also be a texstudio_backtrace file in /tmp with information about the actual (svn related) error

     
  • What kind of error are we talking about?
    Can you give a concrete example ?

    On 24.02.2014 22:37, Ticket 909 wrote:


    [bugs:#909] http://sourceforge.net/p/texstudio/bugs/909/ SVN repo
    error crashes whole desktop, Ubuntu 12.04

    Status: open
    Labels: svn linux ubuntu unity
    Created: Mon Feb 24, 2014 09:37 PM UTC by Anonymous
    Last Updated: Mon Feb 24, 2014 09:37 PM UTC
    Owner: nobody

    TeXstudio does not properly handle internal SVN errors. It freezes, and
    freezes the entire (unity) desktop, requiring a reboot to clear up the
    problem. We've had this happen a half a dozen times since starting our
    latest project.

    These are not critical errors in the repo, either. They're simply
    problems in the working directory that SVN easily clears up itself by
    running the "cleanup". These kinds of errors need to be handled much
    more gracefully.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/909/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #909

  • Blackhawke
    Blackhawke
    2014-03-31

    Okay, I finally have an update for you, as the last crash happened on my machine rather than my wife's. (I'm the one who originally reported this error. At the time I couldn't get into my sourceforge account.)

    Anyway... The crash locked up my Unity desktop when I did a save/commit. This time, a critical failure window popped up, but I could do nothing with it. I also looked in /tmp directory, but apparently the program hadn't even had a chance to write the log before freezing.

    Since the working directory was a complete mess (easily fixed with the 'cleanup' command), I gather the crash is somehow related to the save/commit. I do have autocommit turned on.

    Note that I'm running an AMD64, but my wife is running a i686 processor. Her version of TeXstudio crashes in this way more often than mine.

     
  • Blackhawke
    Blackhawke
    2014-03-31

    Okay... On the very next autocommit, it happened again! It took me 20 minutes to regain enough control over the computer to do a controlled shutdown, with the kernel complaining the whole time about a hung process and bash complaining that it couldn't get any response from its scripts.

    But this time the crash popup might have given a bit of useful information:

    "Assert failure:(?) at something in buildmanager.cpp:1093"

    Hope this helps. This is REALLY frustrating today. We can't get any work done!

     
    • The problem is that if I can't reproduce the issue here or get a good
      hint what goes wrong, fixing it is difficult.

      I personally use the autocheck-in feature in my daily work for years and
      I have never had any trouble.

      So, we need some more info:

      1) where is your repository ? local or on a server
      2) is the svn response time slow ?
      3) does svn generate errors itself ? (locked database, etc ...)

      On 31.03.2014 20:50, Blackhawke wrote:

      Okay... On the very next autocommit, it happened again! It took me 20
      minutes to regain enough control over the computer to do a controlled
      shutdown, with the kernel complaining the whole time about a hung
      process and bash complaining that it couldn't get any response from its
      scripts.

      But this time the crash popup might have given a bit of useful information:

      "Assert failure:(?) at something in buildmanager.cpp:1093"

      Hope this helps. This is REALLY frustrating today. We can't get any work
      done!


      [bugs:#909] http://sourceforge.net/p/texstudio/bugs/909/ SVN repo
      error crashes whole desktop, Ubuntu 12.04

      Status: open
      Group:
      Labels: svn linux ubuntu unity
      Created: Mon Feb 24, 2014 09:37 PM UTC by Anonymous
      Last Updated: Mon Mar 31, 2014 06:13 PM UTC
      Owner: nobody

      TeXstudio does not properly handle internal SVN errors. It freezes, and
      freezes the entire (unity) desktop, requiring a reboot to clear up the
      problem. We've had this happen a half a dozen times since starting our
      latest project.

      These are not critical errors in the repo, either. They're simply
      problems in the working directory that SVN easily clears up itself by
      running the "cleanup". These kinds of errors need to be handled much
      more gracefully.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/909/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #909

  • Which txs version do you use? Have you compiled it yourself? What is in line 1093 of buildmanager.cpp?

     
    • Blackhawke
      Blackhawke
      2014-03-31

      The repo is local, so no, the response time is not usually slow.

      And no, SVN is not having any issues beyond stale lock files in the
      affected working directory.

      I'm on my tablet right now so I don't know what version of txs in running,
      but it's the one in your debian repository. That's the one apt is pointed
      at. (You can also check my other svn related but. I believe I put that info
      in that but report.) I'll double check when I get to the office in the
      morning.
      On Mar 31, 2014 1:32 PM, "Benito van der Zander" benibela@users.sf.net
      wrote:

      Which txs version do you use? Have you compiled it yourself? What is in
      line 1093 of buildmanager.cpp?


      Status: open
      Group:
      Labels: svn linux ubuntu unity
      Created: Mon Feb 24, 2014 09:37 PM UTC by Anonymous
      Last Updated: Mon Mar 31, 2014 06:50 PM UTC
      Owner: nobody

      TeXstudio does not properly handle internal SVN errors. It freezes, and
      freezes the entire (unity) desktop, requiring a reboot to clear up the
      problem. We've had this happen a half a dozen times since starting our
      latest project.

      These are not critical errors in the repo, either. They're simply problems
      in the working directory that SVN easily clears up itself by running the
      "cleanup". These kinds of errors need to be handled much more gracefully.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/909/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #909

      Attachments
    • Blackhawke
      Blackhawke
      2014-04-01

      Okay, double checked version stuff this morning. I'm running:

      TeXstudio 2.6.6 (hg 4099)
      Using Qt Version 4.8.1, compiled with Qt 4.8.1 D

      Which should be the latest version on launchpad, since that's the repo I'm
      pointed at.

      On Mon, Mar 31, 2014 at 1:32 PM, Benito van der Zander benibela@users.sf.net wrote:

      Which txs version do you use? Have you compiled it yourself? What is in
      line 1093 of buildmanager.cpp?


      Status: open
      Group:
      Labels: svn linux ubuntu unity
      Created: Mon Feb 24, 2014 09:37 PM UTC by Anonymous
      Last Updated: Mon Mar 31, 2014 06:50 PM UTC
      Owner: nobody

      TeXstudio does not properly handle internal SVN errors. It freezes, and
      freezes the entire (unity) desktop, requiring a reboot to clear up the
      problem. We've had this happen a half a dozen times since starting our
      latest project.

      These are not critical errors in the repo, either. They're simply problems
      in the working directory that SVN easily clears up itself by running the
      "cleanup". These kinds of errors need to be handled much more gracefully.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/909/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #909

  • TeXstudio 2.6.6 (hg 4099)

    Well, you should be using 2.7.0 now.

    You can download the newest version from the txs homepage (you can try lol)

    I think I fixed the whole desktop crash

    compiled with Qt 4.8.1 D

    Then it is a debug build.

    The release build should work fine, since the problem in line 1093 is:

    REQUIRE(p); //p can be NULL (although sender() is not null) ! If multiple single instance viewers are in a command. Why? should not happen
    

    assert check for p being not NULL

     
1 2 3 > >> (Page 1 of 3)